org.keycloak.models.jpa.entities

## Class MigrationModelEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.MigrationModelEntity

-     @Entity
      public class MigrationModelEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SINGLETON_ID`
    `protected long` | `updatedTime`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationModelEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getId()`
    `long` | `getUpdateTime()`
    `String` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setId(String id)`
    `void` | `setUpdatedTime(long updatedTime)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SINGLETON_ID

          public static final String SINGLETON_ID

      See Also:
        Constant Field Values

    - #### version

          protected String version

    - #### updatedTime

          protected long updatedTime

  - ### Constructor Detail

    - #### MigrationModelEntity

          public MigrationModelEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getUpdateTime

          public long getUpdateTime()

    - #### setUpdatedTime

          public void setUpdatedTime(long updatedTime)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.